void printi(int val);

int main()
{
  int i, finish;

  for (i = -2; i < 3; i++) {
    finish = 0;
    do {
      if (finish) {
	printi(i);
	break;
      }
      finish = 1;
    } while (i);
  }

  return 0;
}
